<input type="file" #fileUpload class="eh-d-none" [accept]="acceptedFileTypes" [disabled]="disabled || uploading"
  (change)="onFileAvailable($event)">

<a class="eu-mt-4 eh-txt-underline e-txt e-txt--matamber600" href="javascript: void(0);"
  (click)="fileUpload.click()">Choose File</a>

<div *ngIf="!imgURL" class="eh-w-80 eh-h-80 eh-mt-4 eh-px-2 e-bg e-bg--eblue100 e-brd e-brd--all" fxLayout="row"
  fxLayoutAlign="center center">
  <span class="eh-txt-10 eh-txt-bold e-txt e-txt--matgrey500">PREVIEW</span>
</div>

<div *ngIf="imgURL" class="eh-mt-4" fxLayout="row" fxLayoutAlign="start start">
  <div class="eh-w-80 eh-h-80 eh-px-2 eh-xy-center e-brd e-brd--all">
    <img class="eh-fit" [src]="imgURL" alt="Profile Picture">
  </div>

  <div *ngIf="isUploaded" class="eh-ml-8 e-txt e-txt--placeholder">
    File accepted.<br>Please save.
  </div>

  <div *ngIf="!isUploaded" class="eh-w-76 eh-ml-8">
    <app-button buttonStyle="e-mat-button--eblue400" title="Upload" [loading]="uploading"
      [disabled]="disabled || uploading" (onButtonClick)="onFileUpload()">
    </app-button>
  </div>
</div>